package com.zhyc.module.biosafety.service;

import java.util.List;
import com.zhyc.module.biosafety.domain.SwMedicineUsage;
import com.zhyc.module.biosafety.domain.SwMedicineUsageDetails;

/**
 * 药品使用记录Service接口
 * 
 * @author ruoyi
 * @date 2025-07-12
 */
public interface ISwMedicineUsageService 
{
    /**
     * 查询药品使用记录
     * 
     * @param id 药品使用记录主键
     * @return 药品使用记录
     */
    public SwMedicineUsage selectSwMedicineUsageById(Integer id);

    /**
     * 查询药品使用记录列表
     * 
     * @param swMedicineUsage 药品使用记录
     * @return 药品使用记录集合
     */
    public List<SwMedicineUsage> selectSwMedicineUsageList(SwMedicineUsage swMedicineUsage);

    /**
     * 新增药品使用记录
     * 
     * @param swMedicineUsage 药品使用记录
     * @return 结果
     */
    public int insertSwMedicineUsage(SwMedicineUsage swMedicineUsage);

    /**
     * 修改药品使用记录
     * 
     * @param swMedicineUsage 药品使用记录
     * @return 结果
     */
    public int updateSwMedicineUsage(SwMedicineUsage swMedicineUsage);

    /**
     * 批量删除药品使用记录
     * 
     * @param ids 需要删除的药品使用记录主键集合
     * @return 结果
     */
    public int deleteSwMedicineUsageByIds(Long[] ids);

    /**
     * 删除药品使用记录信息
     * 
     * @param id 药品使用记录主键
     * @return 结果
     */
    public int deleteSwMedicineUsageById(Integer id);

    List<SwMedicineUsageDetails> selectSwMedicineUsageDetailsById(Integer id);
}
